> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.monite.com/v2024-01-31/api/financing/get-financing-invoices/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server. # Get invoices GET https://api.sandbox.monite.com/v1/financing_invoices Returns a list of invoices requested for financing Reference: https://docs.monite.com/api/financing/get-financing-invoices ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.sandbox.monite.com/v1` (sandbox, default) - `https://api.monite.com/v1` (eu_production) - `https://us.api.monite.com/v1` (na_production) ## Request ### Query parameters - `order` (enum, optional) — Sort order (ascending by default). Typically used together with the `sort` parameter. - Allowed values: `asc`, `desc` - `limit` (integer, optional, default: 100) — The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page. - `pagination_token` (string, optional) — A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If `pagination_token` is specified, all other query parameters are ignored and inferred from the initial query. If not specified, the first page of results will be returned. - `sort` (enum, optional) — The field to sort the results by. Typically used together with the `order` parameter. - Allowed values: `id`, `created_at` - `invoice_id` (string, optional) — ID of a payable or receivable invoice. - `invoice_id__in` (string, optional) — List of invoice IDs. - `status` (enum, optional) — Status of the invoice. - Allowed values: `DRAFT`, `NEW`, `FUNDED`, `PAID`, `LATE`, `REJECTED`, `DEFAULTED` - `status__in` (enum, optional) — List of invoice statuses. - Allowed values: `DRAFT`, `NEW`, `FUNDED`, `PAID`, `LATE`, `REJECTED`, `DEFAULTED` - `type` (enum, optional) — Type of the invoice. payable or receivable. - Allowed values: `payable`, `receivable` - `type__in` (enum, optional) — List of invoice types. - Allowed values: `payable`, `receivable` - `document_id` (string, optional) — Document ID of the invoice. - `document_id__in` (string, optional) — List of document IDs. - `issue_date__gt` (datetime, optional) — Issue date greater than. - `issue_date__lt` (datetime, optional) — Issue date less than. - `issue_date__gte` (datetime, optional) — Issue date greater than or equal. - `issue_date__lte` (datetime, optional) — Issue date less than or equal. - `due_date__gt` (datetime, optional) — Due date greater than. - `due_date__lt` (datetime, optional) — Due date less than. - `due_date__gte` (datetime, optional) — Due date greater than or equal. - `due_date__lte` (datetime, optional) — Due date less than or equal. - `created_at__gt` (datetime, optional) — Created date greater than. - `created_at__lt` (datetime, optional) — Created date less than. - `created_at__gte` (datetime, optional) — Created date greater than or equal. - `created_at__lte` (datetime, optional) — Created date less than or equal. - `total_amount` (integer, optional) — Total amount of the invoice in minor units. - `total_amount__gt` (integer, optional) — Total amount greater than. - `total_amount__lt` (integer, optional) — Total amount less than. - `total_amount__gte` (integer, optional) — Total amount greater than or equal. - `total_amount__lte` (integer, optional) — Total amount less than or equal. ### Headers - `x-monite-version` (string, required) - `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource. ## Response ### 200 Successful Response - `data` (list of FinancingInvoice, required) — A list of invoices requested for financing. - `next_pagination_token` (string, optional) — A token that can be sent in the `pagination_token` query parameter to get the next page of results, or `null` if there is no next page (i.e. you've reached the last page). - `prev_pagination_token` (string, optional) — A token that can be sent in the `pagination_token` query parameter to get the previous page of results, or `null` if there is no previous page (i.e. you've reached the first page). ## Errors ### 422 Get Financing Invoices Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ### 500 Get Financing Invoices Request Internal Server Error Internal Server Error - `error` (ErrorSchema, required) ## Types ### FinancingInvoice - `currency` (enum, required) — Currency code. - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `SVC`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW` - `document_id` (string, required) — Monite document ID. - `due_date` (string, required) — Monite invoice due date. - `invoice_id` (string, required) — Monite invoice ID. - `issue_date` (string, required) — Monite invoice issue date. - `payer_type` (string, required) — Payer type. BUSINESS or INDIVIDUAL - `status` (enum, required) — Status of the invoice. - Allowed values: `DRAFT`, `NEW`, `FUNDED`, `PAID`, `LATE`, `REJECTED`, `DEFAULTED` - `total_amount` (integer, required) — Total amount of the invoice in minor units. - `type` (enum, required) — The type of the invoice i.e. receivable or payable. - Allowed values: `payable`, `receivable` - `advance_amount` (integer, optional) — Amount after fees the business will receive in minor units. - `advance_rate_percentage` (integer, optional) — Advance rate percentage. 10000 means 100% - `description` (string, optional) — Description of the invoice. - `fee_amount` (integer, optional) — Fee amount in minor units. - `fee_percentage` (integer, optional) — Fee percentage. 300 means 3% - `payer_business_name` (string, optional) — Payer business name. Only applicable for BUSINESS payer type. - `payer_first_name` (string, optional) — Payer first name. Only applicable for INDIVIDUAL payer type. - `payer_last_name` (string, optional) — Payer last name. Only applicable for INDIVIDUAL payer type. - `principal_amount` (integer, optional) — Principal amount of the loan in minor units. - `repayment_amount` (integer, optional) — Amount the business will repay in minor units. - `repayment_schedule` (RepaymentSchedule, optional) — Repayment schedule of the invoice. - `requested_amount` (integer, optional) — Amount the business requests to be financed in minor units. ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### ErrorSchema - `message` (string, required) ### RepaymentSchedule Repayment schedule model - `repayment_amount` (integer, required) — Repayment amount in minor units - `repayment_date` (string, required) — Repayment date in ISO 8601 format - `repayment_fee_amount` (integer, required) — Repayment fee amount in minor units - `repayment_principal_amount` (integer, required) — Repayment principal amount in minor units ### ValidationErrorLocItem ## Examples **Response** ```json { "data": [ { "currency": "AED", "document_id": "document_id", "due_date": "due_date", "invoice_id": "invoice_id", "issue_date": "issue_date", "payer_type": "payer_type", "status": "DRAFT", "total_amount": 1, "type": "payable", "advance_amount": 1, "advance_rate_percentage": 1, "description": "description", "fee_amount": 1, "fee_percentage": 1, "payer_business_name": "payer_business_name", "payer_first_name": "payer_first_name", "payer_last_name": "payer_last_name", "principal_amount": 1, "repayment_amount": 1, "repayment_schedule": { "repayment_amount": 1, "repayment_date": "repayment_date", "repayment_fee_amount": 1, "repayment_principal_amount": 1 }, "requested_amount": 1 } ], "next_pagination_token": "next_pagination_token", "prev_pagination_token": "prev_pagination_token" } ``` **SDK Code** ```python import requests url = "https://api.sandbox.monite.com/v1/financing_invoices" headers = { "x-monite-version": "2024-01-31", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer " } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.sandbox.monite.com/v1/financing_invoices'; const options = { method: 'GET', headers: { 'x-monite-version': '2024-01-31', 'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4', Authorization: 'Bearer ' } }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.sandbox.monite.com/v1/financing_invoices" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-monite-version", "2024-01-31") req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.sandbox.monite.com/v1/financing_invoices") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-monite-version"] = '2024-01-31' request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4' request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.sandbox.monite.com/v1/financing_invoices") .header("x-monite-version", "2024-01-31") .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.sandbox.monite.com/v1/financing_invoices', [ 'headers' => [ 'Authorization' => 'Bearer ', 'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4', 'x-monite-version' => '2024-01-31', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.sandbox.monite.com/v1/financing_invoices"); var request = new RestRequest(Method.GET); request.AddHeader("x-monite-version", "2024-01-31"); request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4"); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-monite-version": "2024-01-31", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer " ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/financing_invoices")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```